[Launch]
ProgramExecutable=YTD\ytd.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
-=HKLM\Software\{DAF8B7E5-449D-4180-8281-10E536E597F2}
-=HKCU\Software\{DAF8B7E5-449D-4180-8281-10E536E597F2}
YTD=HKCU\Software\GreenTree Applications\YTD

[RegistryValueWrite]
HKCU\Software\GreenTree Applications\YTD\Language=REG_SZ:%PortableApps.comLocaleID%
HKCU\Software\GreenTree Applications\YTD\=REG_SZ:%PAL:AppDir%\YTD

[RegistryCleanupIfEmpty]
1=HKCU\Software\GreenTree Applications

[FilesMove]
settings\scripts0.yds=%ALLUSERSAPPDATA%\YTD Video Downloader
settings\savedItems.ysi=%ALLUSERSAPPDATA%\YTD Video Downloader
settings\plugins.dat=%PAL:AppDir%\YTD\plugins


[DirectoriesCleanupIfEmpty]
1=%APPDATA%\Macromedia\Flash Player\macromedia.com\support\flashplayer\sys\#s.ytimg.com
2=%APPDATA%\Macromedia\Flash Player\macromedia.com\support\flashplayer\sys\s.ytimg.com
3=%APPDATA%\Macromedia\Flash Player\macromedia.com\support\flashplayer\sys
4=%APPDATA%\Macromedia\Flash Player\macromedia.com\support\flashplayer
5=%APPDATA%\Macromedia\Flash Player\macromedia.com\support
6=%APPDATA%\Macromedia\Flash Player\macromedia.com
7=%APPDATA%\Macromedia\Flash Player\#Security\FlashPlayerTrust
8=%APPDATA%\Macromedia\Flash Player\#Security
9=%APPDATA%\Macromedia\Flash Player\#SharedObjects
10=%APPDATA%\Macromedia\Flash Player\AssetCache
11=%APPDATA%\Macromedia\Flash Player
12=%APPDATA%\Macromedia
13=%APPDATA%\Adobe\AIR\ELS
14=%APPDATA%\Adobe\AIR
15=%APPDATA%\Adobe\Flash Player\AssetCache
16=%APPDATA%\Adobe\Flash Player
17=%APPDATA%\Adobe

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\YTD.reg
Find="="%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%
Replace="="%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\YTD.reg
Find="="%PAL:LastDrive%\\
Replace="="%PAL:Drive%\\